- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
GNet::MonitorImp Class Reference

A pimple pattern implementation class for GNet::Monitor. More...

## Public Member Functions
| MonitorImp (Monitor &monitor)
void | add (const Connection &, bool is_client)
void | remove (const Connection &, bool is_client)
void | report (std::ostream &s, const std::string &px, const std::string &eol) const
std::string | certificateId (const std::string &certificiate)
std::pair< std::string, bool > | findCertificate (const std::string &certificate)

## Detailed Description

A pimple pattern implementation class for GNet::Monitor.

Definition at line 35 of file gmonitor.cpp.

## Constructor & Destructor Documentation

GNet::MonitorImp::MonitorImp | ( | Monitor & | monitor | ) |
| explicit

Definition at line 75 of file gmonitor.cpp.

## Member Function Documentation

void GNet::MonitorImp::add | ( | const Connection & | connection,
|  | bool | is_client
| ) |  |

Definition at line 152 of file gmonitor.cpp.

std::string GNet::MonitorImp::certificateId | ( | const std::string & | certificiate | ) |

std::pair< std::string, bool > GNet::MonitorImp::findCertificate | ( | const std::string & | certificate | ) |

Definition at line 209 of file gmonitor.cpp.

References G::Str::fromInt(), G_ASSERT, and G::limits::net_certificate_cache_size.

void GNet::MonitorImp::remove | ( | const Connection & | connection,
|  | bool | is_client
| ) |  |

Definition at line 164 of file gmonitor.cpp.

void GNet::MonitorImp::report | ( | std::ostream & | s,
|  | const std::string & | px,
|  | const std::string & | eol
| ) |  | const

Definition at line 176 of file gmonitor.cpp.

The documentation for this class was generated from the following file:

- gmonitor.cpp